import {
	login
} from '@/api/login.js'


function codes() {
	// #ifdef MP-WEIXIN
	uni.login({
		success: (res) => {
			console.log(res);
			if (res.errMsg == "login:ok") {
				login({
					code: res.code,
					org_id: "1",
				}).then(res => {
					console.log(res, '切换门店code返回---------')
					//注册的 保存token
					if (res.data.token) {
						uni.setStorageSync('token', res.data.token)
					}
				})
			} else {
				uni.showToast({
					title: '系统异常，请联系管理员!'
				})
			}
		}
	})
	// #endif

}
export default {
	codes
}